Subject: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: Adrian Robert <[email-masked]>
Date: Sun, 9 Feb 2014 09:09:41 +0200

Hi,

We’re talking about half a decade ago here :) but I looked and thought I remembered it had something to do with Ctrl-G handling.  Fortunately there is some info on the mailing list here:

http://thread.gmane.org/gmane.emacs.devel/108069/focus=108328

The thread tells a bit about other parts of the code relating to the input loop integration affected by the change.  Some things might be different today, though I don’t think this area changes very fast..

-Adrian

On 2014.2.9, at 08:42, Darren Hoo <[email-masked]> wrote:

> Paul Eggert <[email-masked]> writes:
> 
>> Darren Hoo wrote:
>>> -  Fset_input_interrupt_mode (Qnil);
>>> +  Fset_input_interrupt_mode (Qt);
>> 
>> That reverses a change made 2009-01-29 10:36:22 +0000 by Adrian Robert
>> in trunk bzr 94305.  The ChangeLog entry doesn't say why the change
>> was made.  I'll CC: this to Adrian to see whether he can explain.
>> Adrian, the context for this email can be found at:
>> 
>> http://bugs.gnu.org/16594
> 
> While waiting for Adrian, I noticed with this comibination:
> 
>  Fset_input_interrupt_mode (Qt);
>  (custom-set-variables '(display-hourglass nil))
> 
> then after doing `M-! sleep 1000' I can no longer quit with
> C-g but to wait the child process to finish itself.
> 
> I doubt SIGIO really works on Cocoa GUI mode, even
> input-interrupt-mode is set to t, SIGIO may not be properly
> initialized, more work needs to be done.